#!/bin/sh

# Written by Anton V. Yuzhaninov <citrin % mail.ru>
# traffic logger based on ng_ipacct by Roman V. Palagin
# ftp://ftp.wuppy.net.ru/pub/BSD/FreeBSD/local/kernel/ng_ipacct/

# File name format
# YYYY-MM-DD-hour

#####################################################################################
#
#    
#     show   checkpoint    
#  ip_from ip_to packets bytes
#       IOS show ip accounting
#      verbose    :
#
#  ip_from s_port ip_to d_port proto packets bytes 
#  
#   proto - ICMP,  s_port - ICMP type, d_port - ICMP sub-code.
#
#####################################################################################

DIR=/var/log/ipacct
SDIR=`date -v-1d "+%Y-%m-%d"`

files=`ls $DIR/$SDIR`

for file in $files; do
  nice /usr/bin/gzip $DIR/$SDIR/$file
  #     
  sleep 150
done

# delete old logs (older than 180 days)
find $DIR -mtime +180 -mindepth 1 -delete
